package com.ynet.life.cache;

import java.util.Map;

/* loaded from: com_ynet_life_cache.jar:com/ynet/life/cache/CacheFactory.class */
public class CacheFactory {
    private static Map<String, CacheModel> REGIONS;
    private static CacheFactory m_instance = new CacheFactory();

    private void init() throws Exception {
        REGIONS = new CacheBuilder().buildCache();
    }

    public static CacheFactory getInstance() {
        return m_instance;
    }

    public CacheModel getCache(String region) {
        return REGIONS.get(region);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v2, types: [com.ynet.life.cache.CacheFactory] */
    private CacheFactory() {
        ?? obj = new Object();
        try {
            obj = this;
            obj.init();
        } catch (Exception e) {
            obj.printStackTrace();
        }
    }
}
